[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.OnException

Exception handling event

## Declaration

Source position: custapp.pp line 78

`public property TCustomApplication.OnException : TExceptionEvent read FOnException write FOnException;`

## Description

OnException can be set to provide custom handling of events, instead of the default action, which is simply to show the event using ShowEvent.

If set, OnException is called by the HandleEvent routine. Do not use the OnException event directly, instead call HandleEvent

## See also

ShowEvent

Documentation generated on: Feb 26 2014